Get bulk bank payout
curl --request GET \
--url https://app.sandbox.rio.trade/api/payouts/bank/bulk/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/payouts/bank/bulk/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/payouts/bank/bulk/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2025-01-04T00:24:28.658Z",
"userId": "6757546b4c5d19bf3cd7b09c",
"orderIds": [
"677880bab7a7c5e821c9f56f",
"67788100b7a7c5e821c9fc0f",
"6778811fb7a7c5e821c9fef5"
],
"amount": 250000,
"fiat": "MXN",
"country": "MX",
"bankName": "BBVA",
"CLABE": "012180015000000001",
"status": "awaitingOrders",
"payoutBankAccountId": "65ba521a4b3e1bd9eb6a5107",
"payoutsSent": [
{
"amount": 123,
"SPEITrackingNumber": "<string>",
"SPIDTrackingNumber": "<string>",
"CEPLink": "<string>",
"reference": "<string>",
"sentAt": "2025-01-04T12:30:00.000Z"
}
],
"id": "677890d5d520f9ecb10e9c33"
}{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}{
"errors": [
{
"code": 4,
"message": "Bulk bank payout not found"
}
]
}Bank payouts API
Get bulk bank payout
Retrieves the details and status of a bulk bank payout.
GET
/
api
/
payouts
/
bank
/
bulk
/
{id}
Get bulk bank payout
Requirements to consume the endpoint.
User approved
The user must be approved in at least one country.
Authorizations
Path Parameters
Id of the bulk bank payout
Response
OK
The date and time the bulk payout was created.
Example:
"2025-01-04T00:24:28.658Z"
The unique identifier of the user.
Example:
"6757546b4c5d19bf3cd7b09c"
List of order IDs associated with this bulk payout.
Example:
[
"677880bab7a7c5e821c9f56f",
"67788100b7a7c5e821c9fc0f",
"6778811fb7a7c5e821c9fef5"
]
The total payout amount across all orders.
Example:
250000
The fiat currency of the payout.
Available options:
MXN, PEN, COP, USD The country of the payout.
Available options:
MX, PE, CO The name of the destination bank.
Example:
"BBVA"
The CLABE number for Mexican bank accounts.
Example:
"012180015000000001"
The current status of the bulk bank payout.
Available options:
awaitingOrders, awaitingPaymentForOrders, awaitingAsyncPayoutRequest, awaitingPayout, awaitingAsyncPayout, checkingLiquidity, sourcingLiquidity, liquiditySourced, complete, failed, cancelled Example:
"awaitingOrders"
The ID of the destination bank account.
Example:
"65ba521a4b3e1bd9eb6a5107"
Details of individual payouts within this bulk payout.
Show child attributes
Show child attributes
The unique identifier of the bulk bank payout.
Example:
"677890d5d520f9ecb10e9c33"